<?php
/**
 * 商品分类管理
 * $Id: product_category_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$course_mst = CourseMst::getById($id);
if ($course_mst == null) {
	$course_mst = new CourseMst();
	$course_mst->is_valid = true;
}
$title = $course_mst->title;
$comment = $course_mst->comment;
$original_price = $course_mst->original_price;
$price = $course_mst->price;
$is_free3 = $course_mst->is_free3;
$is_free6 = $course_mst->is_free6;
$is_free12 = $course_mst->is_free12;
$is_valid = $course_mst->is_valid;
$upload_thumbnail = ParamUtil::getRequestString("upload_thumbnail");



// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/course.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_system";
$layout_pages["middle"] = "course_edit_input.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;